///
/// An iterator for GameObjectLists
///

#ifndef __GAME_OBJECT_LIST_ITERATOR_H__
#define __GAME_OBJECT_LIST_ITERATOR_H__

#include "GameObjectList.h"
#include "GameObject.h"

class GameObjectList;

class GameObjectListIterator {

 private:
  int index;
  GameObjectList *pList;

 public:
  GameObjectListIterator(GameObjectList *pL);
  ~GameObjectListIterator();
  void first();
  void next();
  bool isDone();
  GameObject *currentObj();
};

#endif // __GAME_OBJECT_LIST_ITERATOR_H__
